mod common;
mod helios;

use crate::conf::{Conf, DacFamily}; //, EtherDreamConf, HeliosConf};
use crate::device::common::Device;
use crate::device::helios::HeliosDevice;

pub fn device_factory(config: Conf) -> Box<dyn Device> {
    let device = match config.dac {
        DacFamily::Helios(conf) => Box::new(HeliosDevice::new(conf)),
        DacFamily::Etherdream(_conf) => todo!(),
    };

    device
}
