///
/// Configure udev:
/// https://github.com/Grix/helios_dac/blob/master/docs/udev_rules_for_linux.md
///
/*
use helios_dac::NativeHeliosDacController;
use helios_dac::{
    // Coordinate,
    Color,
    DeviceStatus,
    Frame,
    Point,
};
*/
use crate::conf::HeliosConf;
use crate::device::common::{Device, Status};

pub struct HeliosDevice {
    pub conf: HeliosConf,
}

impl HeliosDevice {

    pub fn new ( conf: HeliosConf) -> Self{
        Self{ conf }
    }

}

impl Device for HeliosDevice {
    fn status(&self) -> Status {
        return Status {
            active: true,
            last_traced_at: "now".to_string(),
            properties: vec!["foo".to_string()],
        };
    }
}
